## pidgin-kwallet-1.1.0-9.src.tar.gz

=== CMakeLists.txt ===
project(PidginKWallet)
cmake_minimum_required(VERSION 2.4.0)

set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_GENERATOR "DEB;RPM;TGZ")
set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_PACKAGE_VERSION_MAJOR "1")
set(CPACK_PACKAGE_VERSION_MINOR "1")
set(CPACK_PACKAGE_VERSION_PATCH "0")
set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@googlemail.com>")
set(PIDGINKWALLET_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
set(PIDGINKWALLET_VERSION_FULL "${PIDGINKWALLET_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${PIDGINKWALLET_VERSION_FULL}")
set(CPACK_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${PIDGINKWALLET_VERSION_FULL}")
include(CPack)

include(UsePkgConfig)
pkgconfig(glib-2.0 GLIB_INCLUDE_DIR GLIB_LIB_DIR GLIB_LINK_FLAGS GLIB_CFLAGS)

if (NOT GLIB_INCLUDE_DIR)
    message(FATAL_ERROR "Could not locate Glib include files")
endif (NOT GLIB_INCLUDE_DIR)

pkgconfig(dbus-glib-1 DBUS_INCLUDE_DIR DBUS_LIB_DIR DBUS_LINK_FLAGS DBUS_CFLAGS)
if (NOT DBUS_INCLUDE_DIR)
    message(FATAL_ERROR "Could not locate D-Bus include files")
endif (NOT DBUS_INCLUDE_DIR)

pkgconfig(purple PURPLE_INCLUDE_DIR PURPLE_LIB_DIR PURPLE_LINK_FLAGS PURPLE_CFLAGS)
if (NOT PURPLE_INCLUDE_DIR)
    message(FATAL_ERROR "Could not locate libpurple include files")
endif (NOT PURPLE_INCLUDE_DIR)

configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h)

add_subdirectory(plugin)
