=== plugin/CMakeLists.txt ===
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR}/common ${CMAKE_BINARY_DIR} )
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GLIB_CFLAGS} ${PURPLE_CFLAGS} ${DBUS_CFLAGS}")
set(kwallet_SRCS kwallet.c)
add_library(kwallet MODULE ${kwallet_SRCS})
target_link_libraries(kwallet ${GLIB_LINK_FLAGS} ${PURPLE_LINK_FLAGS} ${DBUS_LINK_FLAGS})
install(TARGETS kwallet LIBRARY DESTINATION ${PURPLE_LIB_DIR}/purple-2)
